Package logilab :: Package common :: Module visitor :: Class VisitedMixIn

[frames] | no frames]

# Class VisitedMixIn

source code

    object --+
             |
            VisitedMixIn

    Visited interface allow node visitors to use the node

Instance Methods

get_visit_name(self) return the visit name for the mixed class. | source code

accept(self, visitor, *args, **kwargs) | source code

leave(self, visitor, *args, **kwargs) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### get_visit_name(self)

source code

    return the visit name for the mixed class. When calling 'accept', the
    method <'visit_' + name returned by this method> will be called on the
    visitor